Splunk IT Service Intelligence

Unsupported debian version while installing collector(metrics collector)

Path Finder

We are facing problem while installing a collector(metrics collector) from the script on the Ubuntu 18.04 LTS machine.alt text
As we have run the same script on the same version of Ubuntu and its working perfectly fine.
Please refer to the images attached with this question.

0 Karma

Splunk Employee
Splunk Employee

Can you please try this command manually: apt-get install collectd . OR apt-cache policy collectd

0 Karma

Path Finder

I have tried both the command still getting below errors:-

# apt-get install collectd

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package collectd

# apt-cache policy collectd

N: Unable to locate package collectd

0 Karma

Splunk Employee
Splunk Employee

Ubuntu bionic has collectd package. For some reason yours don't have that:
https://packages.ubuntu.com/bionic/collectd

Do apt-get update and retry?

0 Karma

Path Finder

I have already done apt-get update

0 Karma
State of Splunk Careers

Access the Splunk Careers Report to see real data that shows how Splunk mastery increases your value and job satisfaction.

Find out what your skills are worth!